[视频教程]批处理基础视频教程[视频教程]VBS基础视频教程批处理在线视频分享
返回列表 发帖

[问题求助] 怎样查看PowerShell某个命令是从哪个版本开始支持的?

例如 Get-FileHash 命令在 PowerShell 4.0 里面是支持的,但 3.0 里面是不支持的。
有啥官方手册或方法来确定从哪个版本开始支持某个命令呢?
如果需要到不同版本的环境里面去尝试,那就太low了。
环境所限,需要使用 PowerShell 2.0 版本。

本帖最后由 happy886rr 于 2017-8-4 17:46 编辑

貌似这个Get-FileHash 在4.0才出现,ps也依赖.NET环境,跨平台几乎不能。不过在win系统下远超其他shell。

TOP

https://docs.microsoft.com/en-us ... From=powershell-4.0

这可以看指定函数是否支持指定版本

TOP

回复 3# ivor


你的意思是在 https://docs.microsoft.com/en-us/powershell/module/microsoft.powershell.utility/ 下面把3、4、5、6挨个打开对吧?
我之前也是这样干的。就是有点麻烦。
环境所限,需要使用 PowerShell 2.0 版本。

TOP

回复 2# happy886rr


据说是支持Linux的,虽然我不会去考虑在Linux里面使用它。
我们项目里面Windows和Linux都有不少,啥方便就用啥。
环境所限,需要使用 PowerShell 2.0 版本。

TOP

返回列表